Autodesk.Revit.DB.PointClouds.CloudPoint
是表示三维空间中一个点的类。它包含了点的位置和颜色信息。
public CloudPoint(XYZ position, Color color)
position
: 点的位置,为Autodesk.Revit.DB.XYZ
类型。color
: 点的颜色,为System.Drawing.Color
类型。Position
: 获取或设置点的位置,为Autodesk.Revit.DB.XYZ
类型。Color
: 获取或设置点的颜色,为System.Drawing.Color
类型。Equals(object obj)
: 确定指定的对象是否等于当前对象。GetHashCode()
: 用作对象哈希函数的快速哈希算法。下面是一个创建CloudPoint
对象的示例:
XYZ position = new XYZ(10.0, 20.0, 30.0);
Color color = Color.Red;
CloudPoint point = new CloudPoint(position, color);
上面的代码创建了一个位于(10.0, 20.0, 30.0)
位置的红色点。可以通过point.Position
和point.Color
属性分别获取点的位置和颜色信息。
CloudPoint
类中的属性都应该是只读的,不应该提供修改方法。如果需要修改点的位置或颜色,应该重新创建一个新的CloudPoint
对象。Autodesk.Revit.UI.View3D.AddPointCloud(CloudPointSet)
方法。